DCMTK - Bug #44

Test ofstd_atof #21 schlagt unter Windows (MSVC) fehl
2011-07-12 00:00 - J6rg Riesmeier

Status: Closed Start date:

Priority: High Due date:

Assignee: Jan Schlamelcher % Done: 100%
Category: Testing Estimated time: 0:00 hour
Target version: 3.6.1

Module: ofstd Compiler:

Operating System:

Description

FAILED test 'ofstd_atof' at ..\..\..\demtk-3.6.1_20110707\ofstd\tests\tatof.cc:108: test #21 faile
d: conversion error, atof=0, ref=0, delta=0
Test results for module 'ofstd': 22 succeeded, 1 failed.

Schlachter sagt: Einfach HUGE_VAL benutzen anstatt einen Overflow auszunutzen (INFINITY kann MSC6 leider nicht).

History

#1 - 2013-11-26 18:52 - J6rg Riesmeier

- Category set to Testing

- Status changed from Closed to Reopened
- Assignee set to Jan Schlamelcher

- Target version set to 3.6.1

- % Done changed from 100 to 50

The issue does not seem to be fixed: http:/forum.dcmtk.org/viewtopic.php?f=3&t=3869

#2 - 2014-06-17 13:10 - Jan Schlamelcher
- Status changed from Reopened to Closed

- % Done changed from 50 to 100

Fixed in commit http://git.dcmtk.org/web?p=dcmtk.git;a=commit;h=6aea7dc971113dfca5¢c22288db040f1ec5710250

#3 - 2014-09-22 16:57 - Michael Onken

- Private changed from No to Yes

#4 - 2015-01-15 13:46 - Michael Onken

- Private changed from Yes to No
